## golang-github-microcosm-cc-bluemonday 0.0~git20161202.0.e797637

=== Makefile ===
# Targets:
#
#   all:          Builds the code locally after testing
#
#   fmt:          Formats the source files
#   build:        Builds the code locally
#   vet:          Vets the code
#   lint:         Runs lint over the code (you do not need to fix everything)
#   test:         Runs the tests
#   cover:        Gives you the URL to a nice test coverage report
#
#   install:      Builds, tests and installs the code locally

.PHONY: all fmt build vet lint test cover install

# The first target is always the default action if `make` is called without
# args we build and install into $GOPATH so that it can just be run

all: fmt vet test install

fmt:
	@gofmt -s -w ./$*

build:
	@go build

vet:
	@go vet *.go

lint:
	@golint *.go

test:
	@go test -v ./...

cover: COVERAGE_FILE := coverage.out
cover:
	@go test -coverprofile=$(COVERAGE_FILE) && \
	cover -html=$(COVERAGE_FILE) && rm $(COVERAGE_FILE)

install:
	@go install ./...

## golang-github-microcosm-cc-bluemonday 0.0~git20161012.0.f77f16f

=== debian/changelog ===
golang-github-microcosm-cc-bluemonday (0.0~git20161012.0.f77f16f-1) unstable; urgency=medium

  * Initial release (Closes: #842435)

 -- Michael Lustfield <michael@lustfield.net>  Sat, 29 Oct 2016 07:43:44 +0000

=== debian/control ===
Source: golang-github-microcosm-cc-bluemonday
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Lustfield <michael@lustfield.net>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-golang-x-net-dev
Standards-Version: 3.9.8
Homepage: https://github.com/microcosm-cc/bluemonday
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-microcosm-cc-bluemonday.git
Vcs-Git: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-microcosm-cc-bluemonday.git
XS-Go-Import-Path: github.com/microcosm-cc/bluemonday

Package: golang-github-microcosm-cc-bluemonday-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-golang-x-net-dev
Description: Go library for scrubbing user generated data of unapproved html
 Bluemonday takes untrusted user generated content as an input and returns
 HTML that has been sanitised against a whitelist of approved HTML elements
 and attributes. This can help prevent XSS attacks.

## golang-github-microcosm-cc-bluemonday 0.0~git20161202.0.e797637

=== debian/changelog ===
golang-github-microcosm-cc-bluemonday (0.0~git20161202.0.e797637-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.0~git20161202.0.e797637
  * Use debhelper v10
  * Fix typo in Vcs-Git URL
  * Update to Standards-Version 4.0.0
    - Use HTTPS URL for d/copyright
  * Use golang-any
  * Update expected results for tests. (Closes: #865664)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 07 Jul 2017 18:42:32 +0200

=== debian/control ===
Source: golang-github-microcosm-cc-bluemonday
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Lustfield <michael@lustfield.net>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-golang-x-net-dev
Standards-Version: 4.0.0
Homepage: https://github.com/microcosm-cc/bluemonday
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-microcosm-cc-bluemonday.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-microcosm-cc-bluemonday.git
XS-Go-Import-Path: github.com/microcosm-cc/bluemonday

Package: golang-github-microcosm-cc-bluemonday-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-golang-x-net-dev
Description: Go library for scrubbing user generated data of unapproved html
 Bluemonday takes untrusted user generated content as an input and returns
 HTML that has been sanitised against a whitelist of approved HTML elements
 and attributes. This can help prevent XSS attacks.

## golang-github-microcosm-cc-bluemonday 1.0.2

=== debian/changelog ===
golang-github-microcosm-cc-bluemonday (1.0.2-4) unstable; urgency=medium

  * Source-only upload

 -- Taowa Munene-Tardif <taowa@debian.org>  Sun, 19 Apr 2020 22:00:00 -0400

golang-github-microcosm-cc-bluemonday (1.0.2-3) unstable; urgency=medium

  * Added Rules-Requires-Root:no

 -- Taowa Munene-Tardif <taowa@debian.org>  Mon, 13 Apr 2020 16:30:00 -0400

golang-github-microcosm-cc-bluemonday (1.0.2-2) unstable; urgency=medium

  * Add an upstream-contact to debian/changelog

 -- Taowa Munene-Tardif <taowa@debian.org>  Mon, 13 Apr 2020 15:30:00 -0400

golang-github-microcosm-cc-bluemonday (1.0.2-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.
  [ Taowa Munene-Tardif ]
  * new upstream version
  * fix failure to build from source
  * Certified pre-owned initial-ish packaging (Closes: #956628)

 -- Taowa Munene-Tardif <taowa@debian.org>  Mon, 13 Apr 2020 13:00:00 -0400

golang-github-microcosm-cc-bluemonday (0.0~git20161202.0.e797637-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove Michael Lustfield from Uploaders list.
  * Orphaning package.

 -- Michael Lustfield <michael@lustfield.net>  Sat, 03 Feb 2018 12:13:31 -0600

=== debian/control ===
Source: golang-github-microcosm-cc-bluemonday
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Taowa Munene-Tardif <taowa@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-golang-x-net-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/microcosm-cc/bluemonday
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-microcosm-cc-bluemonday
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-microcosm-cc-bluemonday.git
XS-Go-Import-Path: github.com/microcosm-cc/bluemonday

Package: golang-github-microcosm-cc-bluemonday-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-golang-x-net-dev
Description: Go library for scrubbing user generated data of unapproved html
 Bluemonday takes untrusted user generated content as an input and returns
 HTML that has been sanitised against a whitelist of approved HTML elements
 and attributes. This can help prevent XSS attacks.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/bluemonday-$1\.tar\.gz/ \
  https://github.com/microcosm-cc/bluemonday/releases .*/v?(\d\S+)\.tar\.gz

## golang-github-microcosm-cc-bluemonday 1.0.6

=== debian/changelog ===
golang-github-microcosm-cc-bluemonday (1.0.6-1) unstable; urgency=medium

  * New upstream version 1.0.6
  * Change Section from devel to golang
  * Bump Standards-Version to 4.6.0 (no change)
  * Add myself to the list of Uploaders
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance
  * Remove debian/patches/01_the_tests_are_perpetually_broken.diff
    as TestIssue51 is no longer broken in v0.2.0
  * Add dependency on golang-github-aymerick-douceur-dev (>= 0.2.0)
    as per go.mod
  * Mark library package with "Multi-Arch: foreign"

 -- Anthony Fok <foka@debian.org>  Mon, 06 Sep 2021 10:28:19 -0600

## golang-github-microcosm-cc-bluemonday 1.0.16

=== debian/changelog ===
golang-github-microcosm-cc-bluemonday (1.0.16-1) unstable; urgency=medium

  * New upstream version 1.0.16
    + CVE-2021-42576: The bluemonday sanitizer before 1.0.16 for Go, and
      before 0.0.8 for Python (in pybluemonday), does not properly enforce
      policies associated with the SELECT, STYLE, and OPTION elements.
      See https://github.com/microcosm-cc/bluemonday/commit/c788a2a

 -- Anthony Fok <foka@debian.org>  Fri, 03 Dec 2021 10:03:20 -0700

=== debian/control ===
Source: golang-github-microcosm-cc-bluemonday
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Taowa Munene-Tardif <taowa@debian.org>,
           Anthony Fok <foka@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-aymerick-douceur-dev (>= 0.2.0),
               golang-golang-x-net-dev (>= 1:0.0+git20210331.0fccb6f)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/microcosm-cc/bluemonday
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-microcosm-cc-bluemonday
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-microcosm-cc-bluemonday.git
XS-Go-Import-Path: github.com/microcosm-cc/bluemonday

Package: golang-github-microcosm-cc-bluemonday-dev
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-aymerick-douceur-dev (>= 0.2.0),
         golang-golang-x-net-dev (>= 1:0.0+git20210331.0fccb6f)
Description: Go library for scrubbing user generated data of unapproved html
 Bluemonday takes untrusted user generated content as an input and returns
 HTML that has been sanitised against a whitelist of approved HTML elements
 and attributes. This can help prevent XSS attacks.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install
	# Binary files need more love before being fit for distribution
	$(RM) -r $(CURDIR)/debian/$(shell dh_listpackages)/usr/bin

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com//microcosm-cc/bluemonday/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-microcosm-cc-bluemonday 1.0.18

=== debian/changelog ===
golang-github-microcosm-cc-bluemonday (1.0.18-1) unstable; urgency=medium

  * New upstream version 1.0.18
  * Reorder fields in debian/control and debian/copyright
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Bump Standards-Version to 4.6.1 (no change)

 -- Anthony Fok <foka@debian.org>  Sun, 05 Jun 2022 07:28:18 -0600

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: golang-github-microcosm-cc-bluemonday
 Section: golang
-Testsuite: autopkgtest-pkg-go
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Taowa Munene-Tardif <taowa@debian.org>,
            Anthony Fok <foka@debian.org>
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any,
                golang-github-aymerick-douceur-dev (>= 0.2.0),
                golang-golang-x-net-dev (>= 1:0.0+git20210331.0fccb6f)
-Standards-Version: 4.6.0
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-go
+Standards-Version: 4.6.1
 Homepage: https://github.com/microcosm-cc/bluemonday
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-microcosm-cc-bluemonday
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-microcosm-cc-bluemonday.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --buildsystem=golang --with=golang
+	dh $@ --buildsystem=golang
 
 override_dh_auto_install:
 	dh_auto_install

## golang-github-microcosm-cc-bluemonday 1.0.20

=== debian/changelog ===
golang-github-microcosm-cc-bluemonday (1.0.20-1~bpo11+2) bullseye-backports; urgency=medium

  * Bump (build-)dependencies: golang-any (>= 2:1.19~) and
    golang-golang-x-net-dev (>= 1:0.0+git20220826.83b083e) as per go.mod

 -- Anthony Fok <foka@debian.org>  Wed, 12 Oct 2022 10:48:40 -0600

golang-github-microcosm-cc-bluemonday (1.0.20-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Thu, 29 Sep 2022 18:13:32 -0600

golang-github-microcosm-cc-bluemonday (1.0.20-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.0.20

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 04 Sep 2022 20:13:48 +0800

golang-github-microcosm-cc-bluemonday (1.0.18-2) unstable; urgency=medium

  * Team upload
  * Disable test failed with golang-golang-x-net 0.0+git20220728.c7608f3
  * Use dh-golang options to exclude binaries when install

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 04 Aug 2022 23:46:04 +0800

golang-github-microcosm-cc-bluemonday (1.0.16-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Tue, 18 Jan 2022 01:45:47 -0700

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any,
+               golang-any (>= 2:1.19~),
                golang-github-aymerick-douceur-dev (>= 0.2.0),
-               golang-golang-x-net-dev (>= 1:0.0+git20210331.0fccb6f)
+               golang-golang-x-net-dev (>= 1:0.0+git20220826.83b083e)
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.1
 Homepage: https://github.com/microcosm-cc/bluemonday
@@ -20,10 +20,9 @@
 Package: golang-github-microcosm-cc-bluemonday-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         golang-github-aymerick-douceur-dev (>= 0.2.0),
-         golang-golang-x-net-dev (>= 1:0.0+git20210331.0fccb6f)
+Depends: golang-github-aymerick-douceur-dev (>= 0.2.0),
+         golang-golang-x-net-dev (>= 1:0.0+git20220826.83b083e),
+         ${misc:Depends}
 Description: Go library for scrubbing user generated data of unapproved html
  Bluemonday takes untrusted user generated content as an input and returns
  HTML that has been sanitised against a whitelist of approved HTML elements

## golang-github-microcosm-cc-bluemonday 1.0.24

=== debian/changelog ===
golang-github-microcosm-cc-bluemonday (1.0.24-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.0.24 (Closes: #1039888)
    * Updated the golang-golang-x-net version constraint to require
      0.8.0 or newer.

 -- Taavi Väänänen <hi@taavi.wtf>  Sat, 01 Jul 2023 09:52:11 +0300

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any (>= 2:1.19~),
+               golang-any,
                golang-github-aymerick-douceur-dev (>= 0.2.0),
-               golang-golang-x-net-dev (>= 1:0.0+git20220826.83b083e)
+               golang-golang-x-net-dev (>= 1:0.8.0)
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.1
 Homepage: https://github.com/microcosm-cc/bluemonday
@@ -21,8 +21,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-aymerick-douceur-dev (>= 0.2.0),
-         golang-golang-x-net-dev (>= 1:0.0+git20220826.83b083e),
-         ${misc:Depends}
+         golang-golang-x-net-dev (>= 1:0.8.0),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Go library for scrubbing user generated data of unapproved html
  Bluemonday takes untrusted user generated content as an input and returns
  HTML that has been sanitised against a whitelist of approved HTML elements

## golang-github-microcosm-cc-bluemonday 1.0.26

=== Makefile ===
# Targets:
#
#   all:          Builds the code locally after testing
#
#   fmt:          Formats the source files
#   fmt-check:    Check if the source files are formated
#   build:        Builds the code locally
#   vet:          Vets the code
#   staticcheck:  Runs staticcheck over the code
#   test:         Runs the tests
#   cover:        Gives you the URL to a nice test coverage report
#
#   install:      Builds, tests and installs the code locally

GOFILES_NOVENDOR = $(shell find . -type f -name '*.go' -not -path "./vendor/*" -not -path "./.git/*")

.PHONY: all fmt build vet lint test cover install

# The first target is always the default action if `make` is called without
# args we build and install into $GOPATH so that it can just be run

all: fmt vet test install

fmt:
	@gofmt -s -w ${GOFILES_NOVENDOR}

fmt-check:
	@([ -z "$(shell gofmt -d $(GOFILES_NOVENDOR) | head)" ]) || (echo "Source is unformatted"; exit 1)

build:
	@go build

vet:
	@go vet

staticcheck:
	@staticcheck ./...

test:
	@go test -v ./...

cover: COVERAGE_FILE := coverage.out
cover:
	@go test -coverprofile=$(COVERAGE_FILE) && \
	go tool cover -html=$(COVERAGE_FILE) && rm $(COVERAGE_FILE)

install:
	@go install ./...

=== debian/changelog ===
golang-github-microcosm-cc-bluemonday (1.0.26-1) unstable; urgency=medium

  * New upstream version 1.0.26
  * Bump versioned dependencies as per go.mod
  * Drop -dev package’s unused dependency on ${shlibs:Depends}
  * Bump Standards-Version to 4.6.2 (no change)

 -- Anthony Fok <foka@debian.org>  Wed, 27 Dec 2023 06:34:06 -0700

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any,
+               golang-any (>= 2:1.21~),
                golang-github-aymerick-douceur-dev (>= 0.2.0),
-               golang-golang-x-net-dev (>= 1:0.8.0)
+               golang-golang-x-net-dev (>= 1:0.17.0)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/microcosm-cc/bluemonday
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-microcosm-cc-bluemonday
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-microcosm-cc-bluemonday.git
@@ -21,9 +21,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-aymerick-douceur-dev (>= 0.2.0),
-         golang-golang-x-net-dev (>= 1:0.8.0),
-         ${misc:Depends},
-         ${shlibs:Depends}
+         golang-golang-x-net-dev (>= 1:0.17.0),
+         ${misc:Depends}
 Description: Go library for scrubbing user generated data of unapproved html
  Bluemonday takes untrusted user generated content as an input and returns
  HTML that has been sanitised against a whitelist of approved HTML elements

## golang-github-microcosm-cc-bluemonday 1.0.27

=== debian/changelog ===
golang-github-microcosm-cc-bluemonday (1.0.27-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.27
  * Update debian/watch to v5
  * Remove Rules-Requires-Root from d/control
  * Disable use of pristine-tar
  * Update d/copyright
  * Update Standards-Version to 4.7.2, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 27 Sep 2025 15:12:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Taowa Munene-Tardif <taowa@debian.org>,
            Anthony Fok <foka@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any (>= 2:1.21~),
                golang-github-aymerick-douceur-dev (>= 0.2.0),
                golang-golang-x-net-dev (>= 1:0.17.0)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/microcosm-cc/bluemonday
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-microcosm-cc-bluemonday
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-microcosm-cc-bluemonday.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries

=== debian/watch ===
Version: 5

Template: Github
Owner: microcosm-cc
Project: bluemonday
